function T = calculateHsig(T)
% Input is a struct containing
% T = timeseries;


count = length(T.T);
T.zerocrossing = zeros(1,count);
maxheight = 0;
minheight = 0;
n = 1;
m = 1;

for k = 2:count
    if T.T(k)*T.T(k-1) < 0
        T.zerocrossing(k) = 1;       
    end
end
T.numberwaves = floor(sum(T.zerocrossing)/2);
T.height = zeros(1,T.numberwaves);


for k = 2:count
    if T.T(k) > maxheight
        maxheight = T.T(k);
    end
    
    if T.T(k) < minheight
        minheight = T.T(k);
    end
    
    if T.zerocrossing(k) == 1;      
        n = n + 1;        
    end
    
    if n == 2;
        T.height(m) = maxheight - minheight;
        maxheight = 0;
        minheight = 0;
        n = 0;
        m = m+1;
    end       
end
T.heig = T.height;
T.height = sort(T.height);
Hsig = 0;
for k =1:floor(T.numberwaves/3)
    Hsig = Hsig + T.height(T.numberwaves + 1 - k);
end
T.Hsig = Hsig/floor(T.numberwaves/3);
T.Hmax = max(T.height);
% for k = 1:count
%     j = 1;
%     if T.zerocrossing(k) = 1;
%         T.height(j) = T.T(k)

end