function gen = construct_gen()

gen = struct();

gen.L = 1.4e-3;
gen.R = 0.038;
gen.Psi = 0.257;
gen.pp = 28;
gen.Inertia = 1.31;
gen.gear_ratio = 38.5;

gen.iq_max = 100e3/1.5/gen.Psi/gen.pp/gen.gear_ratio;
gen.umax = 600;
gen.velmax = 1.55;
gen.Pmax = 1.55*100e3;
gen.Tmax = 100e3/38.5;
gen.velrated= 1.55;
gen.imax = 100e3/1.5/gen.Psi/gen.pp/gen.gear_ratio;
gen.iq_min = 10e3/1.5/gen.Psi/gen.pp/gen.gear_ratio;

gen.wrn = (2*gen.R*gen.imax*gen.Psi + sqrt((2*gen.R*gen.imax*gen.Psi)^2 - ...
    4*(gen.Psi^2+ gen.L^2*gen.imax^2)*(gen.R^2*gen.imax^2-gen.umax^2)))/...
    (2*(gen.Psi^2 + gen.L^2*gen.imax^2));

gen.wrm = (-2*gen.R*gen.imax*gen.Psi + sqrt((2*gen.R*gen.imax*gen.Psi)^2 - ...
    4*(gen.Psi^2+ gen.L^2*gen.imax^2)*(gen.R^2*gen.imax^2-gen.umax^2)))/...
    (2*(gen.Psi^2 + gen.L^2*gen.imax^2));


end