function loss = jonas_loss(f,vel)
M = f/38.5;
N = vel*38.5*60/2/pi;
p       = [...
            5.74433804047301e-11,...
            0.000928159602188152,...
            3.63344082705850,...
            0.00326017057945080,...
            -0.00229043964869919,...
            2.13061086114355e-06;];
        
    loss =  p(1).*M.^4   +...
                    p(2).*M.^2   +...
                    p(3).*abs(N) +...
                    p(4).*N.^2   +...
                    p(5).*abs(N).*abs(M) +...
                    p(6).*abs(N).*M.^2;