function [Twave,Texc] = get_periods(wave,Fe_passive)


Twave = 300 / sum(wave.zerocrossing) * 2*1.3;

% Now for calculating zerocrossings of excitation force
count = length(Fe_passive.time)
Fe_passive.zerocrossing = zeros(1,count);


for k = 2:count
    if Fe_passive.signals.values(k)*Fe_passive.signals.values(k-1) < 0
        Fe_passive.zerocrossing(k) = 1;       
    end
end

Texc = 300 / sum(Fe_passive.zerocrossing) * 2*1.3

end