% This is a script to make the operation region for the generator;
clear all;
close all;

gen = construct_gen;


figure(1)
c = [0,0];
r = 200;
circle(c,r,1e3,'g');
grid on
hold on

% now for plotting ra torque = 2100 Nm
w = 375/60*2*pi*28;
center = [-w^2*gen.L*gen.Psi/(gen.R^2 + w^2*gen.L^2),-w*gen.R*gen.Psi/(gen.R^2 + w^2*gen.L^2)]
radius = sqrt(600^2/(gen.R^2 + w^2*gen.L^2));
circle(center,radius,1e3)
hold all

w = 535/60*2*pi*28;
center = [-w^2*gen.L*gen.Psi/(gen.R^2 + w^2*gen.L^2),-w*gen.R*gen.Psi/(gen.R^2 + w^2*gen.L^2)]
radius = sqrt(600^2/(gen.R^2 + w^2*gen.L^2));
circle(center,radius,1e3)
hold all

w = 600/60*2*pi*28;
center = [-w^2*gen.L*gen.Psi/(gen.R^2 + w^2*gen.L^2),-w*gen.R*gen.Psi/(gen.R^2 + w^2*gen.L^2)]
radius = sqrt(600^2/(gen.R^2 + w^2*gen.L^2));
circle(center,radius,1e3)
hold all

w = 700/60*2*pi*28;
center = [-w^2*gen.L*gen.Psi/(gen.R^2 + w^2*gen.L^2),-w*gen.R*gen.Psi/(gen.R^2 + w^2*gen.L^2)]
radius = sqrt(600^2/(gen.R^2 + w^2*gen.L^2));
circle(center,radius,1e3)
hold all

w = 1200/60*2*pi*28;
center = [-w^2*gen.L*gen.Psi/(gen.R^2 + w^2*gen.L^2),-w*gen.R*gen.Psi/(gen.R^2 + w^2*gen.L^2)]
radius = sqrt(600^2/(gen.R^2 + w^2*gen.L^2));
circle(center,radius,1e3)
hold all


x = [-350:1:350];
for k = 1:length(x)
    y(k) = 2100/1.5/gen.Psi/gen.pp;
end
plot(x,y,'r','linewidth',2)

w = 900/60*2*pi*28;
[ii,iii] = calculate_currents(w,gen)
