figure(1)

subplot(3,1,1)
plot(ScopeData5.time,ScopeData5.signals(:,1).values,'linewidth',1.5)
grid on;
xlabel('Time [s]')
ylabel('Id [A]')
axis([0 300 -200 200])



subplot(3,1,2)
plot(ScopeData5.time,ScopeData5.signals(:,2).values,'r','linewidth',1.5)
grid on;
xlabel('Time [s]')
ylabel('Iq [A]')


subplot(3,1,3)
plot(ScopeData5.time,ScopeData5.signals(:,3).values,'g','linewidth',1.5)
grid on;
xlabel('Time [s]')
ylabel('Torque [Nm]')



figure(2)
plot(ScopeData5.time,ScopeData5.signals(:,4).values,'b','linewidth',1.5)
grid on;
xlabel('Time [s]')
ylabel('Instantious Power [V]')

figure(3)
plot(Fe_passive.time,wave_passive,'linewidth',1.5)
xlabel('Time [s]')
ylabel('Wave elevation [m]')
grid on;

figure(4)
plot(TS_scope.time,TS_scope.signals(:,1).values,'linewidth',1.5)
grid on;
xlabel('Time [s]')
ylabel(' Generator speed []')
hold all
plot(TS_scope.time,vel_sat,'r','linewidth',1.5)
%plot(TS_scope.time,-vel_sat,'r','linewidth',1.5)
plot(TS_scope.time,vel_red,'k','linewidth',1.5)
%plot(TS_scope.time,-vel_red,'k','linewidth',1.5)
axis([0 300 -1200 1200])


% plot(tout,Te_meas.signals.values,'linewidth',2)
% grid on
% xlabel('Time [s]')
% ylabel('Electromagnetic Torqu')
% axis([25.5 28 -4000 2000])