function [timeser] = time_series (S,time,plotflag)

if nargin<3||isempty(plotflag)
   plotflag=0;
end

% Takes as inpit a struct containing

% The spectral density S(w)
% The frequency of which this densitiy is a functin of

dphi = 6.28/S.resolution;
Fs = 60;
eta = zeros(1,time*Fs);   % just to make a smoother curve



for k = 1:S.resolution
    phi = rand_angle;
    for j = 1 : time*Fs; 
        h(k,j) = sqrt(2*S.S(k)*dphi)*sin(S.w(k)*j/Fs - phi);
        eta(j) = eta(j) + h(k,j);
        times(j) = j/Fs;
    end
    
end

if plotflag
    plot_series(eta,time*Fs)
end
timeser = createtimeseries;
timeser.T = eta;
timeser = calculateHsig(timeser);
timeser.time = times;

end
